Bug 366311 - Kernel-xen doesn't seem to support cpu core temperature (coretemp module)
Kernel-xen doesn't seem to support cpu core temperature (coretemp module)
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-11-04 20:58 EST by Msquared
Modified: 2009-12-14 15:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Results of 'cat /proc/cpuinfo' (1.02 KB, text/plain)
2007-11-04 20:58 EST, Msquared
no flags Details

  None (edit)
Description Msquared 2007-11-04 20:58:00 EST
Description of problem:

Can't show CPU core temperature with Xen kernel.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot into the xen kernel
2. yum install gnome-applet-sensors
3. Add a sensors applet to a panel
4. Change sensors applet's preferences

Actual results:

No Core temperature sensors are available under libsensors

Expected results:

Core 0 and Core 1 sensors should be listed in the Sensors tab of the sensor
applet's preferences.

Additional info:

My system has an Intel E6750 on a Gigabyte GA-P35-DS3 mobo.  (see attachment for
cpuinfo details).

The Core 0 and Core 1 sensors are available when I boot into a non-Xen kernel
(eg kernel-

I noticed that the coretemp.ko module does not appear to be part of the Xen kernel:

[msquared@neuromancer ~]$ locate coretemp
Comment 1 Msquared 2007-11-04 20:58:00 EST
Created attachment 247721 [details]
Results of 'cat /proc/cpuinfo'
Comment 2 Bug Zapper 2008-11-26 03:12:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 00:05:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.